## python-moderngl-glcontext 2.5.0

=== tests/requirements.txt ===
pytest
psutil

## python-moderngl-glcontext 2.3.6

=== debian/changelog ===
python-moderngl-glcontext (2.3.6-2) unstable; urgency=medium

  * Source only upload

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 21:50:48 +0200

python-moderngl-glcontext (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 13:56:03 +0200

python-moderngl-glcontext (2.3.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1009239)

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Apr 2022 16:07:37 +0200

=== debian/control ===
Source: python-moderngl-glcontext
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 libx11-dev,
 libgl-dev <!nocheck>,
 python3-all-dev,
 python3-setuptools,
 python3-pytest <!nocheck>,
 python3-psutil <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext
Homepage: https://github.com/moderngl/glcontext
Rules-Requires-Root: no

Package: python3-glcontext
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 abstraction layer for OpenGL contexts
 This package provides a framework for the platform-dependent OpenGL
 initialization code and is primarily used by ModernGL. The modularization
 makes it simple to add additional platform support.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = glcontext
export PYBUILD_TEST_ARGS = -k "not test_mass_create"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run dh_auto_test --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/\.?dev/~dev/" \
    https://github.com/moderngl/glcontext/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-moderngl-glcontext 2.3.7

=== debian/changelog ===
python-moderngl-glcontext (2.3.7-2) unstable; urgency=medium

  * Use pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 23:17:23 +0100

python-moderngl-glcontext (2.3.7-1) unstable; urgency=medium

  * Switch d/watch to api.github.com
  * New upstream version 2.3.7

 -- Timo Röhling <roehling@debian.org>  Mon, 31 Oct 2022 20:47:24 +0100

python-moderngl-glcontext (2.3.6-3) unstable; urgency=medium

  * Fix cross-compilation
  * Bump Standards-Version to 4.6.1
  * Migrate to pyproject build
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 14:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,21 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ libpython3-all-dev,
  libx11-dev,
  libgl-dev <!nocheck>,
- python3-all-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev:any,
  python3-setuptools,
  python3-pytest <!nocheck>,
  python3-psutil <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext
 Homepage: https://github.com/moderngl/glcontext
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-glcontext

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS = --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 +extension GLX -noreset"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = glcontext
export PYBUILD_TEST_ARGS = --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not test_mass_create"

%:
	dh $@ --buildsystem=pybuild

## python-moderngl-glcontext 2.4.0

=== debian/changelog ===
python-moderngl-glcontext (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 21:33:16 +0200

## python-moderngl-glcontext 2.5.0

=== debian/changelog ===
python-moderngl-glcontext (2.5.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:45:21 +0000

python-moderngl-glcontext (2.5.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Nov 2023 09:01:36 +0000

python-moderngl-glcontext (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Drop obsolete workaround for PYBUILD_TEST_CUSTOM

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 15:23:46 +0200

## python-moderngl-glcontext 3.0.0

=== debian/changelog ===
python-moderngl-glcontext (3.0.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 22:02:22 +0000

python-moderngl-glcontext (3.0.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:57:28 +0000

python-moderngl-glcontext (3.0.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:34:45 +0000

python-moderngl-glcontext (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Aug 2024 15:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ libegl-dev,
  libpython3-all-dev,
  libx11-dev,
- libgl-dev <!nocheck>,
+ libgl-dev,
  pybuild-plugin-pyproject,
  python3-all-dev:any,
  python3-setuptools,
@@ -17,7 +18,7 @@
  python3-psutil <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-glcontext
 Homepage: https://github.com/moderngl/glcontext

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS = --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 +extension GLX -noreset"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = glcontext
export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not test_mass_create"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 uversionmangle=s%\.?([abcd])%~$1% \
 https://api.github.com/repos/moderngl/glcontext/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
